Bug 1264314 - [abrt] gnome-terminal: g_type_check_instance_cast(): gnome-terminal-server killed by SIGSEGV
[abrt] gnome-terminal: g_type_check_instance_cast(): gnome-terminal-server ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7112b320c06da750c8ee37aff5d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 03:27 EDT by Branko Grubić
Modified: 2016-05-19 10:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnome-terminal-3.18.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 02:14:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.42 KB, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: core_backtrace (28.04 KB, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: dso_list (11.23 KB, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: environ (900 bytes, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: maps (54.08 KB, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: open_fds (884 bytes, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-09-18 03:27 EDT, Branko Grubić
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755240 None None None Never

  None (edit)
Description Branko Grubić 2015-09-18 03:27:01 EDT
Description of problem:
Not sure how to reproduce it, first time happened with new gnome-terminal (3.17.x (before it was 3.16.x)). When I tried to close it, it crashed.

Version-Release number of selected component:
gnome-terminal-3.17.91-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: g_type_check_instance_cast
executable:     /usr/libexec/gnome-terminal-server
global_pid:     2706
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4060
 #1 terminal_window_update_geometry at terminal-window.c:3566
 #7 g_object_notify_by_spec_internal at gobject.c:1154
 #8 g_object_notify_by_pspec at gobject.c:1264
 #9 gtk_notebook_set_show_tabs at gtknotebook.c:7561
 #10 terminal_notebook_page_removed at terminal-notebook.c:325
 #15 gtk_notebook_remove at gtknotebook.c:4241
 #16 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #17 _g_closure_invoke_va at gclosure.c:864
 #20 gtk_container_remove at gtkcontainer.c:1893
Comment 1 Branko Grubić 2015-09-18 03:27:08 EDT
Created attachment 1074697 [details]
File: backtrace
Comment 2 Branko Grubić 2015-09-18 03:27:10 EDT
Created attachment 1074698 [details]
File: cgroup
Comment 3 Branko Grubić 2015-09-18 03:27:12 EDT
Created attachment 1074699 [details]
File: core_backtrace
Comment 4 Branko Grubić 2015-09-18 03:27:14 EDT
Created attachment 1074700 [details]
File: dso_list
Comment 5 Branko Grubić 2015-09-18 03:27:16 EDT
Created attachment 1074701 [details]
File: environ
Comment 6 Branko Grubić 2015-09-18 03:27:17 EDT
Created attachment 1074702 [details]
File: exploitable
Comment 7 Branko Grubić 2015-09-18 03:27:19 EDT
Created attachment 1074703 [details]
File: limits
Comment 8 Branko Grubić 2015-09-18 03:27:23 EDT
Created attachment 1074704 [details]
File: maps
Comment 9 Branko Grubić 2015-09-18 03:27:25 EDT
Created attachment 1074705 [details]
File: mountinfo
Comment 10 Branko Grubić 2015-09-18 03:27:26 EDT
Created attachment 1074706 [details]
File: namespaces
Comment 11 Branko Grubić 2015-09-18 03:27:28 EDT
Created attachment 1074707 [details]
File: open_fds
Comment 12 Branko Grubić 2015-09-18 03:27:29 EDT
Created attachment 1074708 [details]
File: proc_pid_status
Comment 13 Christian Persch (GNOME) 2015-09-19 11:04:44 EDT
Upstreamed to https://bugzilla.gnome.org/show_bug.cgi?id=755240 where there are 2 patches to test.
Comment 14 Fedora Update System 2015-10-07 08:14:51 EDT
gnome-terminal-3.18.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-71648fb827
Comment 15 Fedora Update System 2015-10-07 12:27:30 EDT
gnome-terminal-3.18.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-terminal'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-71648fb827
Comment 16 Fedora Update System 2015-10-09 02:14:35 EDT
gnome-terminal-3.18.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.